Subject: Re: [PATCH 0/3] Make git more user-friendly during a merge conflict

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Mar 2014 16:04:20 -0700

Andrew Wong <[email-masked]> writes:

> 2/3: I've added advice.mergeHints to silent the messages that suggests "git
> merge--abort".
>
> 3/3: I've added a warning message when users used "git reset" during a merge.
> This warning will be printed if the user is in the middle of a merge. In future
> releases, we'll change this into an error to prevent work tree from becoming a
> mess.
>
> Andrew Wong (3):
>   wt-status: Make status messages more consistent with others
>   merge: Advise user to use "git merge --abort" to abort merges
>   reset: Print a warning when user uses "git reset" during a merge
>
>  Documentation/config.txt |  3 +++
>  advice.c                 |  2 ++
>  advice.h                 |  1 +
>  builtin/merge.c          |  6 ++++++
>  builtin/reset.c          | 21 +++++++++++++++++++++
>  wt-status.c              | 23 +++++++++++++----------
>  6 files changed, 46 insertions(+), 10 deletions(-)

Has this series been tested with existing test suite?  I tentatively
queued it to 'pu' but then had to revert because many tests started
failing, causing me to redo the today's integration cycle for 'pu'
once again.